#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(m_can_check_mram_cfg, "_gpl", "");
KSYMTAB_FUNC(m_can_init_ram, "_gpl", "");
KSYMTAB_FUNC(m_can_class_get_clocks, "_gpl", "");
KSYMTAB_FUNC(m_can_class_allocate_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_free_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_register, "_gpl", "");
KSYMTAB_FUNC(m_can_class_unregister, "_gpl", "");
KSYMTAB_FUNC(m_can_class_suspend, "_gpl", "");
KSYMTAB_FUNC(m_can_class_resume, "_gpl", "");

SYMBOL_CRC(m_can_check_mram_cfg, 0x5ce84c31, "_gpl");
SYMBOL_CRC(m_can_init_ram, 0xbb49882c, "_gpl");
SYMBOL_CRC(m_can_class_get_clocks, 0x1a272dc1, "_gpl");
SYMBOL_CRC(m_can_class_allocate_dev, 0xdd125722, "_gpl");
SYMBOL_CRC(m_can_class_free_dev, 0x8bd5c413, "_gpl");
SYMBOL_CRC(m_can_class_register, 0xfe611781, "_gpl");
SYMBOL_CRC(m_can_class_unregister, 0x518abb92, "_gpl");
SYMBOL_CRC(m_can_class_suspend, 0xfc14a79b, "_gpl");
SYMBOL_CRC(m_can_class_resume, 0xa999fc09, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd7b8915e, "free_candev" },
	{ 0xe5d17406, "can_rx_offload_get_echo_skb_queue_timestamp" },
	{ 0x7f670955, "can_get_echo_skb" },
	{ 0x9895feaf, "can_free_echo_skb" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe3dd74af, "netdev_warn" },
	{ 0xc973f4b4, "unregister_candev" },
	{ 0xd18243d5, "can_rx_offload_del" },
	{ 0x1b7fb215, "devm_clk_get" },
	{ 0x8a4e2ec2, "__pm_runtime_resume" },
	{ 0xd31a2f15, "pinctrl_pm_select_default_state" },
	{ 0x8dc35f38, "__pm_runtime_idle" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x6ae5735f, "netif_device_attach" },
	{ 0x3695b92d, "register_candev" },
	{ 0x467dfcec, "_dev_info" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa5100a7, "can_rx_offload_add_manual" },
	{ 0xbb43f877, "netif_napi_add_weight" },
	{ 0xd82e32fd, "phy_power_on" },
	{ 0xe8a3c8b4, "open_candev" },
	{ 0x88cabdf, "close_candev" },
	{ 0x2fb72ad8, "phy_power_off" },
	{ 0x33cd2043, "netdev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7776a175, "napi_disable" },
	{ 0xde620b25, "can_rx_offload_enable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd90c2881, "napi_enable" },
	{ 0x7ac7682f, "netif_tx_wake_queue" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x85b137a, "pinctrl_pm_select_sleep_state" },
	{ 0x2d4fce71, "netif_device_detach" },
	{ 0x8c49736f, "alloc_can_err_skb" },
	{ 0x40a8e2ff, "can_rx_offload_queue_timestamp" },
	{ 0xc985f8f9, "netif_receive_skb" },
	{ 0xc57c4453, "__dynamic_netdev_dbg" },
	{ 0xe5aea381, "can_bus_off" },
	{ 0x6047ede6, "can_fd_len2dlc" },
	{ 0x2e9daaa8, "can_put_echo_skb" },
	{ 0xaea557bc, "kfree_skb_reason" },
	{ 0xcfb67fb3, "can_dropped_invalid_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7db1b44d, "netdev_printk" },
	{ 0x6d4d63da, "alloc_canfd_skb" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0xfd34e00b, "alloc_can_skb" },
	{ 0xf12d9387, "can_fd_dlc2len" },
	{ 0x33bb515f, "napi_complete_done" },
	{ 0x4039f314, "napi_schedule_prep" },
	{ 0x53144e49, "can_rx_offload_threaded_irq_finish" },
	{ 0xa1d6721f, "__napi_schedule" },
	{ 0xf07464e4, "hrtimer_forward" },
	{ 0x85b11bb8, "ethtool_op_get_ts_info" },
	{ 0xc2f963a2, "can_change_mtu" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x359198e4, "_dev_err" },
	{ 0x5a6eb9a3, "__dev_fwnode" },
	{ 0xb6d47c63, "fwnode_property_read_u32_array" },
	{ 0xbe273287, "alloc_candev_mqs" },
	{ 0x95e9458b, "__dynamic_dev_dbg" },
	{ 0x1ec0da41, "module_layout" },
};

MODULE_INFO(depends, "can-dev");


MODULE_INFO(srcversion, "6E35583D1F1D35642984FA2");
