#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe5aea381, "can_bus_off" },
	{ 0x1647ab88, "usb_unanchor_urb" },
	{ 0xc57c4453, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdd64e639, "strscpy" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x96a3ae40, "driver_for_each_device" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8c49736f, "alloc_can_err_skb" },
	{ 0xed07283b, "kmalloc_trace" },
	{ 0x3695b92d, "register_candev" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3f411edd, "kmalloc_caches" },
	{ 0x82301fd3, "netdev_info" },
	{ 0x15ea6e65, "usb_alloc_urb" },
	{ 0x6753660e, "usb_anchor_urb" },
	{ 0x3a9f489f, "usb_free_urb" },
	{ 0x9895feaf, "can_free_echo_skb" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2e9daaa8, "can_put_echo_skb" },
	{ 0xddbe9da9, "consume_skb" },
	{ 0x7f670955, "can_get_echo_skb" },
	{ 0x6d4d63da, "alloc_canfd_skb" },
	{ 0xef5dd581, "usb_register_driver" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x333cdd5e, "pcpu_hot" },
	{ 0xe3dd74af, "netdev_warn" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe8a3c8b4, "open_candev" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x33cd2043, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xcf71742e, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfd34e00b, "alloc_can_skb" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0xa916b694, "strnlen" },
	{ 0x2d4fce71, "netif_device_detach" },
	{ 0xc973f4b4, "unregister_candev" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x136cc824, "usb_submit_urb" },
	{ 0x467dfcec, "_dev_info" },
	{ 0xc7a22a89, "can_change_state" },
	{ 0xc2f963a2, "can_change_mtu" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xcfb67fb3, "can_dropped_invalid_skb" },
	{ 0x359198e4, "_dev_err" },
	{ 0xd7b8915e, "free_candev" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xbe273287, "alloc_candev_mqs" },
	{ 0x6047ede6, "can_fd_len2dlc" },
	{ 0xaea557bc, "kfree_skb_reason" },
	{ 0x7db1b44d, "netdev_printk" },
	{ 0x56d82278, "usb_control_msg" },
	{ 0xf12d9387, "can_fd_dlc2len" },
	{ 0xc1225237, "usb_deregister" },
	{ 0x7ac7682f, "netif_tx_wake_queue" },
	{ 0x88cabdf, "close_candev" },
	{ 0xfb578fc5, "memset" },
	{ 0x58fe0a0, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x9314b925, "netif_rx" },
	{ 0x1ec0da41, "module_layout" },
};

MODULE_INFO(depends, "can-dev,usbcore");

MODULE_ALIAS("usb:v0C72p000Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0C72p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0C72p0012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0C72p0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0C72p0013d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0C72p0014d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "8384844B4DC84548109FDC7");
