#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69acdf38, "memcpy" },
	{ 0xf9a482f9, "msleep" },
	{ 0x33cd2043, "netdev_err" },
	{ 0xc57c4453, "__dynamic_netdev_dbg" },
	{ 0xd97c63ee, "usbnet_update_max_qlen" },
	{ 0xd2006309, "usbnet_suspend" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbef17baa, "eth_platform_get_mac_address" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc1009d19, "mii_nway_restart" },
	{ 0xa8fa4794, "usbnet_resume" },
	{ 0x5a93404f, "mii_ethtool_gset" },
	{ 0xd949d389, "netif_carrier_on" },
	{ 0x6dfcd5e4, "usbnet_probe" },
	{ 0x6f762130, "usbnet_open" },
	{ 0x1f458922, "usbnet_stop" },
	{ 0x59ccf2af, "usbnet_start_xmit" },
	{ 0x53304f25, "eth_validate_addr" },
	{ 0xce442992, "usbnet_tx_timeout" },
	{ 0x8e4e9fc6, "dev_get_tstats64" },
	{ 0xa577cd43, "usbnet_get_msglevel" },
	{ 0x5bf6ab0, "usbnet_set_msglevel" },
	{ 0x2198edd9, "usbnet_nway_reset" },
	{ 0xad2225e4, "ethtool_op_get_link" },
	{ 0x85b11bb8, "ethtool_op_get_ts_info" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfeef4cc1, "pskb_expand_head" },
	{ 0x23e7e50b, "skb_push" },
	{ 0xe16281a9, "__pskb_pull_tail" },
	{ 0xa51d1e21, "dev_kfree_skb_any_reason" },
	{ 0xb9a36a77, "usbnet_read_cmd" },
	{ 0xc4807439, "usbnet_read_cmd_nopm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe3dd74af, "netdev_warn" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xaa971187, "mii_ethtool_set_link_ksettings" },
	{ 0x7de848e0, "mii_ethtool_get_link_ksettings" },
	{ 0x4285714b, "generic_mii_ioctl" },
	{ 0xef5dd581, "usb_register_driver" },
	{ 0x6733a027, "usbnet_disconnect" },
	{ 0xc1225237, "usb_deregister" },
	{ 0x2a00809c, "usbnet_link_change" },
	{ 0x82301fd3, "netdev_info" },
	{ 0x5d641da3, "usbnet_get_endpoints" },
	{ 0x3f411edd, "kmalloc_caches" },
	{ 0xed07283b, "kmalloc_trace" },
	{ 0xbe12958a, "netif_set_tso_max_size" },
	{ 0xc594e620, "usbnet_write_cmd_async" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x61fdd355, "skb_trim" },
	{ 0xa3158678, "skb_clone" },
	{ 0x9b117ea4, "skb_pull" },
	{ 0x21c6e584, "usbnet_skb_return" },
	{ 0x74c8d5d4, "usbnet_write_cmd" },
	{ 0x1edf0b1c, "usbnet_write_cmd_nopm" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xa33124cf, "dev_addr_mod" },
	{ 0x37a0cba, "kfree" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1ec0da41, "module_layout" },
};

MODULE_INFO(depends, "usbnet,mii,usbcore");

MODULE_ALIAS("usb:v0B95p1790d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0B95p178Ad*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v04B4p3610d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v2001p4A00d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0DF6p0072d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v04E8pA100d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v17EFp304Bd*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v050Dp0128d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0930p0A13d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0711p0179d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p000Ed*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p000Fd*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p0010d*dc*dsc*dp*icFFiscFFip00in*");

MODULE_INFO(srcversion, "82581F8818B410E855626F2");
