#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2x00lib_get_bssidx, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_beacondone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_pretbtt, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_dmastart, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_dmadone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone_nomatch, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone_noinfo, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_rxdone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_set_mac_address, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_probe_dev, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_remove_dev, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_suspend, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_resume, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_tx, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_start, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_stop, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_add_interface, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_remove_interface, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_config, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_configure_filter, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_tim, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_key, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_sw_scan_start, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_stats, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_conf_tx, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_rfkill_poll, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_flush, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_antenna, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_antenna, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_ringparam, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_tx_frames_pending, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_map_txskb, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_unmap_skb, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_for_each_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_get_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_pause_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_unpause_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_start_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_stop_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_start_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_stop_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_flush_queues, "_gpl", "");

SYMBOL_CRC(rt2x00lib_get_bssidx, 0x0350a274, "_gpl");
SYMBOL_CRC(rt2x00lib_beacondone, 0x92370003, "_gpl");
SYMBOL_CRC(rt2x00lib_pretbtt, 0xac8820d0, "_gpl");
SYMBOL_CRC(rt2x00lib_dmastart, 0xe5051efb, "_gpl");
SYMBOL_CRC(rt2x00lib_dmadone, 0x88f9fd91, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone_nomatch, 0x64349d9a, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone, 0x9b00b8f6, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone_noinfo, 0xff8cd940, "_gpl");
SYMBOL_CRC(rt2x00lib_rxdone, 0x6f445e88, "_gpl");
SYMBOL_CRC(rt2x00lib_set_mac_address, 0xa3e2600f, "_gpl");
SYMBOL_CRC(rt2x00lib_probe_dev, 0x2aff30e4, "_gpl");
SYMBOL_CRC(rt2x00lib_remove_dev, 0xdd90b800, "_gpl");
SYMBOL_CRC(rt2x00lib_suspend, 0xdfc3e964, "_gpl");
SYMBOL_CRC(rt2x00lib_resume, 0xfcd26bb8, "_gpl");
SYMBOL_CRC(rt2x00mac_tx, 0xb875056a, "_gpl");
SYMBOL_CRC(rt2x00mac_start, 0xdd43ec6c, "_gpl");
SYMBOL_CRC(rt2x00mac_stop, 0x065941c2, "_gpl");
SYMBOL_CRC(rt2x00mac_reconfig_complete, 0x848e4d76, "_gpl");
SYMBOL_CRC(rt2x00mac_add_interface, 0x3aee4039, "_gpl");
SYMBOL_CRC(rt2x00mac_remove_interface, 0xa340e66e, "_gpl");
SYMBOL_CRC(rt2x00mac_config, 0x5ea3e8ed, "_gpl");
SYMBOL_CRC(rt2x00mac_configure_filter, 0x5d6bf955, "_gpl");
SYMBOL_CRC(rt2x00mac_set_tim, 0xeff5ed68, "_gpl");
SYMBOL_CRC(rt2x00mac_set_key, 0xf5c4c39d, "_gpl");
SYMBOL_CRC(rt2x00mac_sw_scan_start, 0xfe6ad373, "_gpl");
SYMBOL_CRC(rt2x00mac_sw_scan_complete, 0x3f15f86c, "_gpl");
SYMBOL_CRC(rt2x00mac_get_stats, 0x98a85de8, "_gpl");
SYMBOL_CRC(rt2x00mac_bss_info_changed, 0xb6d459bb, "_gpl");
SYMBOL_CRC(rt2x00mac_conf_tx, 0x4d4f10fd, "_gpl");
SYMBOL_CRC(rt2x00mac_rfkill_poll, 0xad0f83e5, "_gpl");
SYMBOL_CRC(rt2x00mac_flush, 0x1302304f, "_gpl");
SYMBOL_CRC(rt2x00mac_set_antenna, 0x6913a4ce, "_gpl");
SYMBOL_CRC(rt2x00mac_get_antenna, 0x4255fbc8, "_gpl");
SYMBOL_CRC(rt2x00mac_get_ringparam, 0x2de8c216, "_gpl");
SYMBOL_CRC(rt2x00mac_tx_frames_pending, 0x6386c257, "_gpl");
SYMBOL_CRC(rt2x00queue_map_txskb, 0xa9397121, "_gpl");
SYMBOL_CRC(rt2x00queue_unmap_skb, 0x29ef03ce, "_gpl");
SYMBOL_CRC(rt2x00queue_for_each_entry, 0xede304a0, "_gpl");
SYMBOL_CRC(rt2x00queue_get_entry, 0x08dfe0b0, "_gpl");
SYMBOL_CRC(rt2x00queue_pause_queue, 0x7daf5311, "_gpl");
SYMBOL_CRC(rt2x00queue_unpause_queue, 0x02cb1fe6, "_gpl");
SYMBOL_CRC(rt2x00queue_start_queue, 0x793c357c, "_gpl");
SYMBOL_CRC(rt2x00queue_stop_queue, 0x535c8ee8, "_gpl");
SYMBOL_CRC(rt2x00queue_flush_queue, 0xe9ec04e7, "_gpl");
SYMBOL_CRC(rt2x00queue_start_queues, 0x3e6c41e8, "_gpl");
SYMBOL_CRC(rt2x00queue_stop_queues, 0xc924760e, "_gpl");
SYMBOL_CRC(rt2x00queue_flush_queues, 0x06d06e36, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa8625c94, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xddbe9da9, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x71e43c83, "dma_unmap_page_attrs" },
	{ 0xa21feb67, "request_firmware" },
	{ 0x25c84371, "led_classdev_suspend" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0xbdfa18e, "ieee80211_tx_status_ext" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x333cdd5e, "pcpu_hot" },
	{ 0x99125b5d, "led_classdev_unregister" },
	{ 0x57d75332, "ieee80211_register_hw" },
	{ 0x5f864de9, "__ieee80211_create_tpt_led_trigger" },
	{ 0xe258f1e2, "ieee80211_get_hdrlen_from_skb" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x4f2d09e3, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x95e9458b, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4daeb9f3, "dev_driver_string" },
	{ 0x821458e, "ieee80211_tx_status_skb" },
	{ 0x61ccb5fb, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7fb1fbc0, "dma_map_page_attrs" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x467dfcec, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x6d1f3bda, "ieee80211_queue_delayed_work" },
	{ 0x359198e4, "_dev_err" },
	{ 0x2211117b, "ieee80211_ctstoself_get" },
	{ 0x9b117ea4, "skb_pull" },
	{ 0x3939f8f0, "rfkill_pause_polling" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x23e7e50b, "skb_push" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x1d4e99e2, "ieee80211_free_txskb" },
	{ 0xf80ce98c, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfb578fc5, "memset" },
	{ 0x58fe0a0, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfcb65870, "ieee80211_stop_queue" },
	{ 0xb0ab3ab0, "__netdev_alloc_skb" },
	{ 0x6b46a3fd, "ieee80211_stop_queues" },
	{ 0x61fdd355, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb14b3007, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa62fb1e0, "wiphy_rfkill_start_polling" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x220d29b7, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2b001a4d, "led_classdev_resume" },
	{ 0x7a7c86c2, "ieee80211_unregister_hw" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf254119e, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x21365249, "ieee80211_rts_get" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xed07283b, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x332f3dc, "ieee80211_queue_work" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0xa51d1e21, "dev_kfree_skb_any_reason" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3f411edd, "kmalloc_caches" },
	{ 0x752efdb6, "ieee80211_rx_napi" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe918dc2e, "ieee80211_iterate_interfaces" },
	{ 0x1ec0da41, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,rfkill");


MODULE_INFO(srcversion, "E6653905DE86F93A0EECCE7");
