#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfs41_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_session_trunk, "_gpl", "");
KSYMTAB_FUNC(nfs4_proc_getdeviceinfo, "_gpl", "");
KSYMTAB_DATA(nfs41_maxgetdevinfo_overhead, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_session_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_or_create_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_ds_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(pnfs_register_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_unregister_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_put_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_destroy_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_layout_insert_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_update_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_error_mark_layout_for_return, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_range, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_cleanup, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(pnfs_write_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_write_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_writepages, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_read_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_resend_pnfs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_readpages, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_lo_fail, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_layoutcommit, "_gpl", "");
KSYMTAB_FUNC(pnfs_layoutcommit_inode, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(pnfs_report_layoutstat, "_gpl", "");
KSYMTAB_DATA(layoutstats_timer, "_gpl", "");
KSYMTAB_FUNC(nfs4_print_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_get_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_delete_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_put_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_available, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_rw_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_prepare_to_resend_writes, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_write_commit_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_clear_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_alloc_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_free_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_add_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_release_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_destroy, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_scan_commit_lists, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_recover_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_search_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_pagelist, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_put, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_add, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_connect, "_gpl", "");
KSYMTAB_FUNC(nfs4_decode_mp_ds_addr, "_gpl", "");
KSYMTAB_FUNC(pnfs_layout_mark_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_nfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(nfs42_proc_layouterror, "_gpl", "");

SYMBOL_CRC(nfs41_sequence_done, 0x014994e5, "_gpl");
SYMBOL_CRC(nfs4_sequence_done, 0x2fd58c50, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0x253dfa28, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0x0a3fcb44, "_gpl");
SYMBOL_CRC(nfs4_test_session_trunk, 0xaeedf5ac, "_gpl");
SYMBOL_CRC(nfs4_proc_getdeviceinfo, 0x6bab6364, "_gpl");
SYMBOL_CRC(nfs41_maxgetdevinfo_overhead, 0xf7801360, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0x2d0376a0, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0x2958321d, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0x25cb5dd2, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0x2ffb91ff, "_gpl");
SYMBOL_CRC(nfs4_schedule_session_recovery, 0x2ebb4884, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0x63b38326, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0x6085edbd, "_gpl");
SYMBOL_CRC(nfs4_find_or_create_ds_client, 0x8efffa13, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0x6fccd5f6, "_gpl");
SYMBOL_CRC(nfs4_init_ds_session, 0x85fbf7c4, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_read, 0x494676e5, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_read, 0x14726e6b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_read, 0x0c43a820, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_read, 0x63826d35, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_write, 0xefd4753a, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_write, 0x3579bcee, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_write, 0x049f46db, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_write, 0xadeca730, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_commit_ds, 0x65521e46, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_commit_ds, 0x0de5afd4, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_commit_ds, 0x09e9ceec, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_commit_ds, 0x2b16e909, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_read, 0x28a2684b, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_read, 0xfaa0b800, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, 0x2914ee7a, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, 0x6a5eb444, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_write, 0xdedb1fcb, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_write, 0x4d9a47f2, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, 0x8f04a977, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, 0xdeb5edce, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, 0x9bcefb6b, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, 0x2a86c675, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x7a083899, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x96c4643f, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_done, 0x46a82b49, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_done, 0x221b7288, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_done, 0xfa29aab2, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_done, 0xc361c3c5, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_done, 0xb9f5341d, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_done, 0xb47f3167, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_done, 0x93269e08, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_done, 0x930a94fd, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_pagelist, 0x86b8b080, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_pagelist, 0xb4c52dab, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, 0xd767063c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, 0x6a925097, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_pagelist, 0xf7ba00ac, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_pagelist, 0x50f8d78e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, 0x353c20bd, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, 0x18e75751, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_read_error, 0x3e0aa9d8, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_read_error, 0x5b2a7a82, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_read_error, 0x086558fe, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_read_error, 0x7e42bd3f, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_write_error, 0xf9ee3cea, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_write_error, 0x31e3b3b5, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_write_error, 0x2bd5d6e6, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_write_error, 0xf32fa2b7, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_commit_error, 0x4ac9167d, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_commit_error, 0x39b61c3b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_commit_error, 0x43ad61bc, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_commit_error, 0xcc21ce5c, "_gpl");
SYMBOL_CRC(pnfs_register_layoutdriver, 0xe6a443b8, "_gpl");
SYMBOL_CRC(pnfs_unregister_layoutdriver, 0x7a1d3d85, "_gpl");
SYMBOL_CRC(pnfs_put_lseg, 0xa55ee0a6, "_gpl");
SYMBOL_CRC(pnfs_destroy_layout, 0xf53dfd0a, "_gpl");
SYMBOL_CRC(pnfs_generic_layout_insert_lseg, 0xb09bea88, "_gpl");
SYMBOL_CRC(pnfs_update_layout, 0xf2b73233, "_gpl");
SYMBOL_CRC(pnfs_error_mark_layout_for_return, 0x83b59057, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_layout, 0x2f4be7a3, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_range, 0x35648fcb, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_read, 0x8c68074f, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_write, 0xcda64a27, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_cleanup, 0x4f9ecdbb, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_test, 0x4e4707e4, "_gpl");
SYMBOL_CRC(pnfs_write_done_resend_to_mds, 0x7ef6969c, "_gpl");
SYMBOL_CRC(pnfs_ld_write_done, 0x83b8b27e, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_writepages, 0x98c6777d, "_gpl");
SYMBOL_CRC(pnfs_read_done_resend_to_mds, 0x7bc16869, "_gpl");
SYMBOL_CRC(pnfs_ld_read_done, 0x2f5b050a, "_gpl");
SYMBOL_CRC(pnfs_read_resend_pnfs, 0x4c20e155, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_readpages, 0x3eee48ef, "_gpl");
SYMBOL_CRC(pnfs_set_lo_fail, 0xb3dd3d22, "_gpl");
SYMBOL_CRC(pnfs_set_layoutcommit, 0x1a1abc30, "_gpl");
SYMBOL_CRC(pnfs_layoutcommit_inode, 0xe87fd2bc, "_gpl");
SYMBOL_CRC(pnfs_generic_sync, 0x72b0efb9, "_gpl");
SYMBOL_CRC(pnfs_report_layoutstat, 0x0fd8bd98, "_gpl");
SYMBOL_CRC(layoutstats_timer, 0x054bef45, "_gpl");
SYMBOL_CRC(nfs4_print_deviceid, 0xed15fb41, "_gpl");
SYMBOL_CRC(nfs4_find_get_deviceid, 0xc2b557b1, "_gpl");
SYMBOL_CRC(nfs4_delete_deviceid, 0x59f1084e, "_gpl");
SYMBOL_CRC(nfs4_init_deviceid_node, 0x321a675a, "_gpl");
SYMBOL_CRC(nfs4_put_deviceid_node, 0x4b0671c0, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_available, 0xed8e5777, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_unavailable, 0x4f9c7d0e, "_gpl");
SYMBOL_CRC(nfs4_test_deviceid_unavailable, 0x164c17df, "_gpl");
SYMBOL_CRC(pnfs_generic_rw_release, 0x69d3558d, "_gpl");
SYMBOL_CRC(pnfs_generic_prepare_to_resend_writes, 0xf3488e6e, "_gpl");
SYMBOL_CRC(pnfs_generic_write_commit_done, 0x8ddbf9dc, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_release, 0xf999267e, "_gpl");
SYMBOL_CRC(pnfs_generic_clear_request_commit, 0xfb8d5563, "_gpl");
SYMBOL_CRC(pnfs_alloc_commit_array, 0x4356f1de, "_gpl");
SYMBOL_CRC(pnfs_free_commit_array, 0xd6bafc5d, "_gpl");
SYMBOL_CRC(pnfs_add_commit_array, 0x7bcb8955, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_release_lseg, 0xfcebc712, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_destroy, 0x3c2ca481, "_gpl");
SYMBOL_CRC(pnfs_generic_scan_commit_lists, 0xba81b55a, "_gpl");
SYMBOL_CRC(pnfs_generic_recover_commit_reqs, 0x679d947d, "_gpl");
SYMBOL_CRC(pnfs_generic_search_commit_reqs, 0x4408fd25, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_pagelist, 0xc049436d, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_put, 0x663dba5b, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_add, 0xac714774, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_connect, 0x63fea2cd, "_gpl");
SYMBOL_CRC(nfs4_decode_mp_ds_addr, 0xd71c48fd, "_gpl");
SYMBOL_CRC(pnfs_layout_mark_request_commit, 0xd494c047, "_gpl");
SYMBOL_CRC(pnfs_nfs_generic_sync, 0x2dbb9573, "_gpl");
SYMBOL_CRC(nfs42_proc_layouterror, 0x109461c1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5a921311, "strncmp" },
	{ 0xef526fb2, "xdr_stream_subsegment" },
	{ 0xdf39faa4, "nfs_zap_acl_cache" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0xdbd78f0e, "nfs_fscache_open_file" },
	{ 0x14cde15, "from_kgid" },
	{ 0x60199d7b, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0df74c9, "nfs_write_inode" },
	{ 0x57a400bd, "nfs_request_remove_commit_list" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xffb7c514, "ida_free" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xed463b22, "rpc_wake_up_first" },
	{ 0x696d83ff, "alloc_nfs_open_context" },
	{ 0xbebd8e1a, "list_lru_add_obj" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x290ece81, "vfs_parse_fs_param" },
	{ 0xf9664f25, "nfs_path" },
	{ 0x60c1b571, "rpc_sleep_on_priority_timeout" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x92773ab3, "nfs_create_rpc_client" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xc5dd7eed, "register_nfs_version" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x27fe4e33, "rpc_sleep_on_timeout" },
	{ 0xbe426418, "list_lru_count_one" },
	{ 0x697e210e, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xf1ceb65d, "rpc_call_start" },
	{ 0xf61a3aca, "xprt_setup_backchannel" },
	{ 0x65ec3209, "bpf_trace_run1" },
	{ 0x222ccc53, "svc_create" },
	{ 0x6a81e94a, "rpc_clnt_iterate_for_each_xprt" },
	{ 0xa67a9122, "nfs_file_set_open_context" },
	{ 0x99aee353, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0x9d18c21c, "rpc_call_sync" },
	{ 0x4232eabf, "from_kuid" },
	{ 0x8915c162, "rpc_put_task_async" },
	{ 0xa70221b7, "rpc_prepare_reply_pages" },
	{ 0x25818a7a, "rpc_queue_upcall" },
	{ 0x8640f3d6, "nfs_free_server" },
	{ 0xeaddb727, "fc_mount" },
	{ 0x21f93669, "register_sysctl_sz" },
	{ 0xd295621b, "nfs_setattr" },
	{ 0x2318b7f0, "xdr_terminate_string" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x80091bf8, "nfs4_fs_type" },
	{ 0xef4a7171, "key_revoke" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0xff6cd324, "rpc_delay" },
	{ 0xbc2263bd, "nfs_flock" },
	{ 0xa11b8f0b, "nfs_read_alloc_scratch" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe7cfa9ec, "__list_lru_init" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x1284bcc4, "svc_generic_init_request" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0xc624714, "key_validate" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0xdca6801a, "rpc_exit" },
	{ 0xbcfbe59, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aae009a, "rpc_remove_pipe_dir_object" },
	{ 0x79edb85d, "nfs_may_open" },
	{ 0x84de2623, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0xa40e22e5, "nfs_server_copy_userdata" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x33b4e830, "xdr_reserve_space" },
	{ 0xae86c7c1, "rpcauth_lookupcred" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa29c2b12, "kthread_create_on_node" },
	{ 0xabc640f3, "list_lru_isolate" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x13ddac67, "nfs_rmdir" },
	{ 0xf3ad59bf, "bpf_trace_run3" },
	{ 0x372feb0f, "override_creds" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xe35b68de, "nfs_filemap_write_and_wait_range" },
	{ 0x25c4a932, "rpc_mkpipe_dentry" },
	{ 0xda169647, "alloc_file_pseudo" },
	{ 0xdd64e639, "strscpy" },
	{ 0xe5025c32, "rpc_mkpipe_data" },
	{ 0x1b1ca322, "rpc_add_pipe_dir_object" },
	{ 0x7e35d111, "igrab" },
	{ 0xc9774c5c, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9dc78b01, "nfs_async_iocounter_wait" },
	{ 0x2e11a220, "nfs_file_read" },
	{ 0x58616ab2, "trace_event_buffer_reserve" },
	{ 0x318aa724, "nfs_alloc_fattr_with_label" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb1b8d2af, "filemap_fdatawait_range" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x9aeabdd6, "nfs_commitdata_alloc" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x441afa3b, "nfs_setattr_update_inode" },
	{ 0x77895d52, "nfs_instantiate" },
	{ 0x202af3c6, "init_user_ns" },
	{ 0x4096ec17, "rpc_uaddr2sockaddr" },
	{ 0x26fe58f9, "user_read" },
	{ 0x45867f1c, "rpc_restart_call" },
	{ 0x21009f64, "request_key_tag" },
	{ 0x4637f9e0, "xprt_force_disconnect" },
	{ 0x8ead800c, "user_free_preparse" },
	{ 0xe6bd30d3, "alloc_pages" },
	{ 0xd9f90017, "rpc_clnt_xprt_switch_remove_xprt" },
	{ 0xeb32e841, "svc_xprt_destroy_all" },
	{ 0xe98d5472, "generic_key_instantiate" },
	{ 0xf3cec200, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0x3b47d4b, "nfs_link" },
	{ 0xa07358ee, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc164bc33, "list_lru_walk_one" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0xcc15ff3a, "rpcauth_stringify_acceptor" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb2c24bb9, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xf0b7775d, "rpc_init_wait_queue" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x9adb55b8, "xdr_stream_move_subsegment" },
	{ 0xaad1b8d7, "put_rpccred" },
	{ 0x294c6a2, "nfs_callback_nr_threads" },
	{ 0x8f0e0ee8, "nfs_post_op_update_inode_force_wcc" },
	{ 0x9cb16d1a, "nfs_pgheader_init" },
	{ 0x12cdffbe, "put_nfs_open_context" },
	{ 0xdbfec50b, "nfs_show_path" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x2ae93c4f, "nfs_show_devname" },
	{ 0xfff95baf, "nfs_permission" },
	{ 0xb6c973a4, "nfs_initiate_commit" },
	{ 0x5235432d, "truncate_inode_pages_range" },
	{ 0x918c9279, "__put_user_ns" },
	{ 0x87e17ed6, "cred_fscmp" },
	{ 0x4f99dada, "rpc_unlink" },
	{ 0x35e6205, "nfs_sync_inode" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xddd8297d, "nfs_file_write" },
	{ 0xaafd4acc, "max_session_cb_slots" },
	{ 0xc77e1580, "node_data" },
	{ 0xfe0c96e7, "nfs_probe_server" },
	{ 0x485c2eb4, "nfs_setsecurity" },
	{ 0x51afc4e2, "rpc_clnt_xprt_switch_has_addr" },
	{ 0xbc7a8337, "rpc_clnt_test_and_add_xprt" },
	{ 0xafcb7461, "file_ra_state_init" },
	{ 0xf98eb878, "nfs_force_lookup_revalidate" },
	{ 0xd0f39f10, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa73603a9, "rpc_clnt_add_xprt" },
	{ 0xd90680b6, "dget_parent" },
	{ 0x841a7a0b, "from_kuid_munged" },
	{ 0x3e147452, "prepare_kernel_cred" },
	{ 0xed07283b, "kmalloc_trace" },
	{ 0xc9c46304, "nfs_alloc_server" },
	{ 0xa28517ac, "rpc_call_async" },
	{ 0x7b4fda86, "security_dentry_init_security" },
	{ 0x288140c, "filemap_write_and_wait_range" },
	{ 0xfee4d172, "list_lru_del_obj" },
	{ 0xde9f9d6c, "nfs_server_insert_lists" },
	{ 0x4d00d520, "nfs_dreq_bytes_left" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x754d539c, "strlen" },
	{ 0xae773ca7, "nfs_free_client" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x60b55c9, "rpc_init_pipe_dir_object" },
	{ 0x5bd2910c, "bpf_trace_run7" },
	{ 0xd21c35b6, "nfs_refresh_inode" },
	{ 0x5e06bc5c, "refcount_dec_and_lock" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x91d1fe52, "max_session_slots" },
	{ 0x349cba85, "strchr" },
	{ 0x8e162a8, "nfs_access_set_mask" },
	{ 0x30a0e642, "nfs_init_server_rpcclient" },
	{ 0x5e41f575, "__mark_inode_dirty" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x501e8d64, "rpc_set_connect_timeout" },
	{ 0xfae0810d, "rpcauth_create" },
	{ 0x5a4942e8, "xdr_stream_pos" },
	{ 0xc804844e, "key_set_timeout" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xefa414fb, "nfs_delay_retrans" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0x53b954a2, "up_read" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0x5278e720, "svc_xprt_create" },
	{ 0x267399dd, "nfs42_ssc_register" },
	{ 0x8b7b30e3, "rpc_wait_for_completion_task" },
	{ 0x9d6aae7d, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe572b3d, "rpc_num_bc_slots" },
	{ 0xc502e2f8, "nfs_alloc_inode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x66ed2439, "rpc_destroy_wait_queue" },
	{ 0x3f411edd, "kmalloc_caches" },
	{ 0x97210625, "security_inode_listsecurity" },
	{ 0x71a50e34, "nfs_fhget" },
	{ 0x98d0d170, "nfs_symlink" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x43e904ee, "locks_copy_lock" },
	{ 0x5aa65097, "kmem_cache_destroy" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0xa51ba3d1, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8d1f5a51, "nfs_set_verifier" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0x29bd55b2, "rpc_put_task" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xed6eb8, "svc_generic_rpcbind_set" },
	{ 0x3fc1af45, "nfs_clone_server" },
	{ 0xd391024c, "nfs_access_add_cache" },
	{ 0xe914e41e, "strcpy" },
	{ 0x3218d9e3, "filemap_fdatawrite" },
	{ 0x7a55350c, "nfs_show_stats" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x4a32e826, "nfs_server_remove_lists" },
	{ 0xf66cdd31, "shrinker_alloc" },
	{ 0xe19eb1e4, "nfs42_ssc_unregister" },
	{ 0x7fcd5c42, "generic_listxattr" },
	{ 0xf5af3eaa, "try_module_get" },
	{ 0xa041fb4f, "revert_creds" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x6c9618df, "nfs_writeback_update_inode" },
	{ 0xb6673c9b, "clear_inode" },
	{ 0xe933da16, "inode_to_bdi" },
	{ 0x250bb770, "bpf_trace_run4" },
	{ 0xeba0373c, "user_destroy" },
	{ 0x20978fb9, "idr_find" },
	{ 0x85e29abd, "param_ops_uint" },
	{ 0x44c5677a, "user_revoke" },
	{ 0xe09d0f71, "d_exact_alias" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x522a21f7, "nfs_alloc_client" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0x68657b92, "nfs_mark_client_ready" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5018fa24, "rpc_clnt_probe_trunked_xprts" },
	{ 0xc42898c5, "nfs_pageio_reset_read_mds" },
	{ 0xd5e8ca89, "xdr_write_pages" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0x671aa102, "rpc_shutdown_client" },
	{ 0x914dc250, "svc_bind" },
	{ 0xb2ae4f83, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x40739385, "nfs_wait_bit_killable" },
	{ 0xed974fc4, "nfs_free_inode" },
	{ 0xcea6c3a2, "nfs_access_zap_cache" },
	{ 0x6898f9c0, "nfs_sb_deactive" },
	{ 0x8458e00b, "nfs_wb_all" },
	{ 0x6bcf52b2, "__break_lease" },
	{ 0x1bbb99a1, "nfs_pageio_init_write" },
	{ 0x5f52459a, "svc_recv" },
	{ 0xd28243f5, "nfs_drop_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xf51b1c65, "xdr_inline_decode" },
	{ 0x13e87a8a, "nfs_pageio_init_read" },
	{ 0xb6206d6d, "trace_raw_output_prep" },
	{ 0xfa803b60, "nfs_wait_client_init_complete" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x389d2d14, "nfs_init_commit" },
	{ 0x968c9a72, "nfs_commitdata_release" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x6cff5cc, "bpf_trace_run6" },
	{ 0x96a55fda, "list_lru_destroy" },
	{ 0xca9360b5, "rb_next" },
	{ 0x85483bed, "rpc_net_ns" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x54a8f50b, "__trace_trigger_soft_disabled" },
	{ 0x34fa5daf, "nfs_mknod" },
	{ 0xf0b3c902, "nfs_inode_attach_open_context" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xb8b68aab, "nfs4_label_alloc" },
	{ 0xf1a1b124, "rpc_localaddr" },
	{ 0x71bc40e3, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0x429c8b23, "trace_event_printf" },
	{ 0x431c469b, "nfs_access_get_cached" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0x9cc46747, "nfs_lock" },
	{ 0xc7db4e26, "unregister_key_type" },
	{ 0x48e2e0ce, "nfs_client_init_is_complete" },
	{ 0x6c7d1e8d, "nfs_file_splice_read" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xa58ed5c1, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0xd5737eb9, "trace_event_raw_init" },
	{ 0x1e424d61, "user_preparse" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0x3e383a2d, "ihold" },
	{ 0x4f244fdb, "truncate_pagecache_range" },
	{ 0x395d7396, "rpc_peeraddr" },
	{ 0x37a0cba, "kfree" },
	{ 0x6c180659, "invalidate_inode_pages2_range" },
	{ 0xb679139e, "nfs_post_op_update_inode" },
	{ 0x30d1219e, "svc_exit_thread" },
	{ 0x200e80bc, "iput" },
	{ 0xa27bc025, "xdr_set_pagelen" },
	{ 0x333cdd5e, "pcpu_hot" },
	{ 0x7973d6df, "nfs_pgio_header_free" },
	{ 0x20246a37, "nfs_request_add_commit_list_locked" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xf46744fe, "logfc" },
	{ 0x78d34722, "nfs_pgio_header_alloc" },
	{ 0x4fd1b383, "__put_devmap_managed_page_refs" },
	{ 0x64def70d, "iter_file_splice_write" },
	{ 0xe0c48433, "rpc_pton" },
	{ 0x20b2fc34, "nfs_sb_active" },
	{ 0x997a2e8c, "mod_node_page_state" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0x3812465e, "rpc_wake_up_queued_task" },
	{ 0x8cc4c54a, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x3be306fd, "xdr_stream_zero" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0xe55db916, "rpc_restart_call_prepare" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x303b2bf5, "_copy_from_pages" },
	{ 0xed4dadac, "__module_get" },
	{ 0x15a810a8, "kmem_cache_create" },
	{ 0x261a719f, "rpc_task_release_transport" },
	{ 0xe0cd6bee, "xdr_page_pos" },
	{ 0x9ed76973, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x7b9a1326, "nfs_pgio_current_mirror" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x7f1623a, "key_instantiate_and_link" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0x3539f11b, "match_strlcpy" },
	{ 0x16f34d0a, "xdr_read_pages" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc2c07e73, "register_key_type" },
	{ 0x29f2f461, "rpc_sleep_on" },
	{ 0xf29dcb09, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x7cfcf9df, "nfs_pageio_resend" },
	{ 0x5351855, "keyring_alloc" },
	{ 0xc71c70ff, "vfs_setpos" },
	{ 0xfdce987a, "nfs_create" },
	{ 0x2145e1c0, "complete_request_key" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8963dccc, "__put_cred" },
	{ 0xcac420a6, "swapcache_mapping" },
	{ 0xa2856b1a, "nfs_statfs" },
	{ 0x1d6135ef, "wake_up_process" },
	{ 0x241a602d, "shrinker_free" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x6d6c41c, "splice_file_range" },
	{ 0x39862768, "rpc_max_bc_payload" },
	{ 0xb33f1ebf, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0xe9076900, "rpc_clnt_xprt_switch_add_xprt" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xce33c106, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xc93b5694, "nfs_mkdir" },
	{ 0xebbeadf0, "nfs_revalidate_inode" },
	{ 0x4516adae, "inode_newsize_ok" },
	{ 0x30e65351, "nfs_file_mmap" },
	{ 0x26f6dd68, "nfs_get_lock_context" },
	{ 0xdf4794be, "d_drop" },
	{ 0x122c3a7e, "_printk" },
	{ 0x7eba8a04, "nfs_set_cache_invalid" },
	{ 0x39172c91, "rpc_release_client" },
	{ 0xde82a8fa, "rpc_clnt_manage_trunked_xprts" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x64ce71bb, "xdr_enter_page" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3306955e, "rpc_clnt_setup_test_and_add_xprt" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc54e1706, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x46cb449e, "nfs_generic_pgio" },
	{ 0x1c4a4472, "make_kuid" },
	{ 0xd519b8c3, "truncate_inode_pages_final" },
	{ 0x6b1d2aa4, "generic_setlease" },
	{ 0x2f36e5cd, "xprt_destroy_backchannel" },
	{ 0xac56d4b9, "rpc_switch_client_transport" },
	{ 0xa916b694, "strnlen" },
	{ 0xdfc1c7fc, "nfs_scan_commit_list" },
	{ 0x238ca652, "xdr_stream_decode_string_dup" },
	{ 0x3388a1d5, "nfs_commit_inode" },
	{ 0xa80a5ba8, "shrinker_register" },
	{ 0x6fd57d63, "locks_init_lock" },
	{ 0xa8e9e1ae, "send_implementation_id" },
	{ 0xa56fdd06, "rpc_destroy_pipe_data" },
	{ 0x134b8063, "nfs_get_client" },
	{ 0x3fcd6c2f, "__free_pages" },
	{ 0xaa013a0c, "kmem_cache_alloc" },
	{ 0x9f984513, "strrchr" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xe10db6ae, "init_task" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xdbc7747e, "nfs_atomic_open" },
	{ 0x84be6e6d, "rpc_pipe_generic_upcall" },
	{ 0x5ad31368, "nfs_file_fsync" },
	{ 0xa6114a35, "module_put" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x5723084c, "mntput" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xbbfff403, "nfs_put_lock_context" },
	{ 0x50222730, "nfs_rename" },
	{ 0xc2f84e73, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x4b24402a, "nfs_sysfs_link_rpc_client" },
	{ 0x6971630f, "nfs_put_client" },
	{ 0x5c50d1a3, "nfs_show_options" },
	{ 0x775edd6a, "dns_query" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0x12379a09, "key_put" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x9d55f194, "mount_subtree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x342b16bd, "get_nfs_open_context" },
	{ 0x16cf20fb, "perf_trace_run_bpf_submit" },
	{ 0x86c12872, "nfs_clear_verifier_delegated" },
	{ 0x2458062a, "nfs_sysfs_add_server" },
	{ 0x42c5ff1b, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xd0a9d876, "rpc_machine_cred" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0x5bf9e1d3, "nfs_do_submount" },
	{ 0x137145a7, "vfs_dup_fs_context" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xc8b55315, "request_key_with_auxdata" },
	{ 0xb7d352fb, "rpc_clone_client_set_auth" },
	{ 0xc03bff, "rpc_clone_client" },
	{ 0xeab939db, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0x9784f8fb, "nfs_client_init_status" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xe39f99ba, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0xcf2ec06c, "user_describe" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf0843eed, "put_fs_context" },
	{ 0x14eea2, "nfs_retry_commit" },
	{ 0xec352351, "nfs4_dentry_operations" },
	{ 0xe3aa4f0f, "__module_put_and_kthread_exit" },
	{ 0xc2360f95, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x6dc69953, "nfs_client_for_each_server" },
	{ 0x1859e4f, "nfs_clear_inode" },
	{ 0x1859cff2, "rpc_sleep_on_priority" },
	{ 0x3f2ec7f7, "nfs_invalidate_atime" },
	{ 0xed8a5b40, "bpf_trace_run5" },
	{ 0x954f099c, "idr_preload" },
	{ 0x53518f39, "nfs_umount_begin" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x224ec30f, "nfs_getattr" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x913d62c1, "nfs_pageio_reset_write_mds" },
	{ 0x9e537b71, "kmem_cache_free" },
	{ 0xb711cd3f, "nfs_generic_pg_test" },
	{ 0x1ec0da41, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,nfs,dns_resolver");


MODULE_INFO(srcversion, "BCF0A0EB03651D6D1401A6A");
