#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nci_get_conn_info_by_dest_type_params, "", "");
KSYMTAB_FUNC(nci_req_complete, "", "");
KSYMTAB_FUNC(nci_prop_cmd, "", "");
KSYMTAB_FUNC(nci_core_cmd, "", "");
KSYMTAB_FUNC(nci_core_reset, "", "");
KSYMTAB_FUNC(nci_core_init, "", "");
KSYMTAB_FUNC(nci_nfcc_loopback, "", "");
KSYMTAB_FUNC(nci_set_config, "", "");
KSYMTAB_FUNC(nci_nfcee_discover, "", "");
KSYMTAB_FUNC(nci_nfcee_mode_set, "", "");
KSYMTAB_FUNC(nci_core_conn_create, "", "");
KSYMTAB_FUNC(nci_core_conn_close, "", "");
KSYMTAB_FUNC(nci_allocate_device, "", "");
KSYMTAB_FUNC(nci_free_device, "", "");
KSYMTAB_FUNC(nci_register_device, "", "");
KSYMTAB_FUNC(nci_unregister_device, "", "");
KSYMTAB_FUNC(nci_recv_frame, "", "");
KSYMTAB_FUNC(nci_send_frame, "", "");
KSYMTAB_FUNC(nci_send_cmd, "", "");
KSYMTAB_FUNC(nci_conn_max_data_pkt_payload_size, "", "");
KSYMTAB_FUNC(nci_send_data, "", "");
KSYMTAB_FUNC(nci_to_errno, "", "");
KSYMTAB_FUNC(nci_hci_send_event, "", "");
KSYMTAB_FUNC(nci_hci_send_cmd, "", "");
KSYMTAB_FUNC(nci_hci_clear_all_pipes, "", "");
KSYMTAB_FUNC(nci_hci_open_pipe, "", "");
KSYMTAB_FUNC(nci_hci_set_param, "", "");
KSYMTAB_FUNC(nci_hci_get_param, "", "");
KSYMTAB_FUNC(nci_hci_connect_gate, "", "");
KSYMTAB_FUNC(nci_hci_dev_session_init, "", "");

SYMBOL_CRC(nci_get_conn_info_by_dest_type_params, 0x6fadefcc, "");
SYMBOL_CRC(nci_req_complete, 0x9c8d9759, "");
SYMBOL_CRC(nci_prop_cmd, 0x7fc318b9, "");
SYMBOL_CRC(nci_core_cmd, 0x6af9ec77, "");
SYMBOL_CRC(nci_core_reset, 0xfcf3c9c7, "");
SYMBOL_CRC(nci_core_init, 0xb7fc33e7, "");
SYMBOL_CRC(nci_nfcc_loopback, 0x8c8e266a, "");
SYMBOL_CRC(nci_set_config, 0x6382bba7, "");
SYMBOL_CRC(nci_nfcee_discover, 0x70dc1284, "");
SYMBOL_CRC(nci_nfcee_mode_set, 0x20eaedfd, "");
SYMBOL_CRC(nci_core_conn_create, 0x13db5da5, "");
SYMBOL_CRC(nci_core_conn_close, 0xaccb44f1, "");
SYMBOL_CRC(nci_allocate_device, 0x3cd0ace9, "");
SYMBOL_CRC(nci_free_device, 0x20b79b32, "");
SYMBOL_CRC(nci_register_device, 0xaeb352bb, "");
SYMBOL_CRC(nci_unregister_device, 0xd82d069c, "");
SYMBOL_CRC(nci_recv_frame, 0x4a580eb8, "");
SYMBOL_CRC(nci_send_frame, 0x3e6416e2, "");
SYMBOL_CRC(nci_send_cmd, 0xbbc8ec13, "");
SYMBOL_CRC(nci_conn_max_data_pkt_payload_size, 0x3895f6f8, "");
SYMBOL_CRC(nci_send_data, 0xbe8a04c1, "");
SYMBOL_CRC(nci_to_errno, 0xba490602, "");
SYMBOL_CRC(nci_hci_send_event, 0x55e047a0, "");
SYMBOL_CRC(nci_hci_send_cmd, 0x8acdfccc, "");
SYMBOL_CRC(nci_hci_clear_all_pipes, 0x84801996, "");
SYMBOL_CRC(nci_hci_open_pipe, 0x0dd0bcda, "");
SYMBOL_CRC(nci_hci_set_param, 0xd49881b3, "");
SYMBOL_CRC(nci_hci_get_param, 0x13c9aace, "");
SYMBOL_CRC(nci_hci_connect_gate, 0x8d7dd8f8, "");
SYMBOL_CRC(nci_hci_dev_session_init, 0x6da8934f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb0f97458, "nfc_get_local_general_bytes" },
	{ 0x973321a1, "nfc_set_remote_general_bytes" },
	{ 0x89afeb11, "devm_kfree" },
	{ 0x9b117ea4, "skb_pull" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xaea557bc, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x23e7e50b, "skb_push" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x1a960d46, "nfc_tm_activated" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x61fdd355, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf1986828, "nfc_targets_found" },
	{ 0xd6ac1416, "nfc_dep_link_is_up" },
	{ 0xed07283b, "kmalloc_trace" },
	{ 0x29a6fee, "nfc_send_to_raw_sock" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3f411edd, "kmalloc_caches" },
	{ 0x21a377eb, "nfc_register_device" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x5688401e, "devm_kmalloc" },
	{ 0xa8625c94, "skb_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x16cd83cd, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x28e3debf, "nfc_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xdbbe13b5, "nfc_allocate_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x829778d0, "nfc_tm_data_received" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfeef4cc1, "pskb_expand_head" },
	{ 0x9db37ac3, "skb_queue_purge_reason" },
	{ 0x4c25269c, "nfc_tm_deactivated" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x20852a4b, "nfc_alloc_recv_skb" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8cbc32c3, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xaa6dd720, "__alloc_skb" },
	{ 0x332c9726, "skb_queue_tail" },
	{ 0x1ec0da41, "module_layout" },
};

MODULE_INFO(depends, "nfc");


MODULE_INFO(srcversion, "5EECB7B3AE559E698F94575");
