#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(felix_switch_ops, "_gpl", "");
KSYMTAB_FUNC(felix_port_to_netdev, "_gpl", "");
KSYMTAB_FUNC(felix_netdev_to_port, "_gpl", "");

SYMBOL_CRC(felix_switch_ops, 0x6ad96f1d, "_gpl");
SYMBOL_CRC(felix_port_to_netdev, 0x16eaab5b, "_gpl");
SYMBOL_CRC(felix_netdev_to_port, 0xfac86a8e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x832a1d2a, "ocelot_sb_tc_pool_bind_set" },
	{ 0x603a5b0c, "dsa_fdb_present_in_other_db" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd503efd0, "dsa_mdb_present_in_other_db" },
	{ 0x32f3005d, "ocelot_vcap_filter_add" },
	{ 0x188176f2, "ocelot_sb_port_pool_get" },
	{ 0x35bf6f5, "ocelot_port_setup_dsa_8021q_cpu" },
	{ 0xd91b26cb, "ocelot_port_teardown_dsa_8021q_cpu" },
	{ 0xa7470d93, "ocelot_port_inject_frame" },
	{ 0xc4a6329c, "ocelot_mrp_add" },
	{ 0xe48ad46, "ocelot_sb_occ_port_pool_get" },
	{ 0xed07283b, "kmalloc_trace" },
	{ 0xe40e55c9, "ocelot_sb_pool_set" },
	{ 0xf049e729, "ocelot_lag_fdb_del" },
	{ 0x7f70649a, "ocelot_vcap_filter_del" },
	{ 0x2ee26f5, "ocelot_cls_flower_stats" },
	{ 0x48db5fb2, "ocelot_sb_pool_get" },
	{ 0x86bf4baa, "ocelot_phylink_mac_link_up" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xcd9f2314, "ocelot_deinit_port" },
	{ 0x9cd99bb4, "ocelot_can_inject" },
	{ 0x3f411edd, "kmalloc_caches" },
	{ 0x895fdac2, "ocelot_port_mirror_add" },
	{ 0x3eb086ce, "ocelot_fdb_dump" },
	{ 0x4d888e34, "ocelot_vlan_prepare" },
	{ 0x7b7bec0a, "dsa_tag_8021q_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x25c199be, "ocelot_set_ageing_time" },
	{ 0xf3876560, "__ocelot_rmw_ix" },
	{ 0x5688401e, "devm_kmalloc" },
	{ 0xb03a1b0f, "ocelot_hwstamp_set" },
	{ 0x1ca60b1c, "ocelot_port_policer_del" },
	{ 0x5c37c296, "ocelot_port_lag_change" },
	{ 0xddbe9da9, "consume_skb" },
	{ 0x2e7f86e5, "ocelot_port_policer_add" },
	{ 0xb9ad2771, "ocelot_port_mdb_add" },
	{ 0x11787df9, "ocelot_vlan_add" },
	{ 0x2dd4ae0, "ocelot_sb_tc_pool_bind_get" },
	{ 0xfe64fb57, "ocelot_port_bridge_flags" },
	{ 0x995dbb56, "ocelot_devlink_sb_unregister" },
	{ 0x161887f1, "ocelot_port_bridge_leave" },
	{ 0xc991634f, "ocelot_port_set_maxlen" },
	{ 0x17b059ec, "ocelot_vcap_filter_replace" },
	{ 0xee41453a, "ocelot_get_max_mtu" },
	{ 0x483bf6e9, "regmap_fields_update_bits_base" },
	{ 0x860aec85, "ocelot_sb_occ_snapshot" },
	{ 0x3c8ca790, "ocelot_get_ts_info" },
	{ 0x19793ef4, "ocelot_sb_occ_max_clear" },
	{ 0x520be108, "ocelot_port_get_mm" },
	{ 0xc10a3cff, "ocelot_ptp_gettime64" },
	{ 0xb893aaeb, "ocelot_get_strings" },
	{ 0x37a0cba, "kfree" },
	{ 0xa0be8587, "ocelot_sb_occ_tc_port_bind_get" },
	{ 0xa08bc6aa, "ocelot_port_add_dscp_prio" },
	{ 0x425692fc, "ocelot_drain_cpu_queue" },
	{ 0xb021cf58, "ocelot_port_mirror_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2ee2eeab, "ocelot_vcap_block_find_filter_by_id" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x61771733, "__ocelot_read_ix" },
	{ 0x2dc0ed3e, "ocelot_port_get_pause_stats" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x66bcd2d2, "dsa_port_from_netdev" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x840ece1, "ocelot_get_sset_count" },
	{ 0x486d2f23, "ocelot_migrate_mdbs" },
	{ 0x490246e9, "ocelot_hwstamp_get" },
	{ 0xe3de230b, "ocelot_port_txtstamp_request" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x104af352, "ocelot_port_bridge_join" },
	{ 0x84cb0b8d, "ocelot_fdb_add" },
	{ 0x37e7f739, "ocelot_port_unassign_dsa_8021q_cpu" },
	{ 0xddfd01b9, "ocelot_xtr_poll_frame" },
	{ 0x7723ad1e, "ocelot_port_get_default_prio" },
	{ 0x394478d4, "ptp_classify_raw" },
	{ 0xc7c38ad, "ocelot_port_set_default_prio" },
	{ 0xa2dcb7f3, "dsa_tag_8021q_register" },
	{ 0x62049f79, "ocelot_port_get_mm_stats" },
	{ 0x165ad602, "ocelot_deinit" },
	{ 0x359198e4, "_dev_err" },
	{ 0x6d279b88, "ocelot_vlan_del" },
	{ 0x39d27cb6, "ocelot_bond_get_id" },
	{ 0xaea557bc, "kfree_skb_reason" },
	{ 0x865acea, "ocelot_get_ethtool_stats" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe980e3a1, "ocelot_cls_flower_destroy" },
	{ 0xa7ae2a68, "ocelot_port_vlan_filtering" },
	{ 0x50b5eb4d, "ocelot_port_get_rmon_stats" },
	{ 0x5ce46e11, "ocelot_port_assign_dsa_8021q_cpu" },
	{ 0x492eade3, "ocelot_lag_fdb_add" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x7220822f, "ocelot_bridge_stp_state_set" },
	{ 0x85520870, "__ocelot_write_ix" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9314b925, "netif_rx" },
	{ 0x93779ab4, "ocelot_port_get_eth_ctrl_stats" },
	{ 0x1fff9c5a, "ocelot_fdb_del" },
	{ 0x4c45db5f, "ocelot_phylink_mac_link_down" },
	{ 0xb9462ce5, "ocelot_port_lag_join" },
	{ 0x8ad3edf, "ocelot_port_get_eth_phy_stats" },
	{ 0xdbd3f01c, "ocelot_port_lag_leave" },
	{ 0xfb928712, "ocelot_mrp_add_ring_role" },
	{ 0xd8fd6f65, "ocelot_port_set_mm" },
	{ 0x850baaa0, "ocelot_deinit_timestamp" },
	{ 0x92fcdfb7, "ocelot_cls_flower_replace" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x568a4b0a, "ocelot_port_get_stats64" },
	{ 0x87b057c5, "ocelot_port_get_dscp_prio" },
	{ 0x46dce3f7, "ocelot_port_mdb_del" },
	{ 0x3c5ed357, "ocelot_port_get_eth_mac_stats" },
	{ 0xc664e6c0, "ocelot_mact_flush" },
	{ 0x7599a665, "ocelot_sb_port_pool_set" },
	{ 0x56470118, "__warn_printk" },
	{ 0x83e95af6, "ocelot_port_pre_bridge_flags" },
	{ 0xf0dc298f, "ocelot_port_del_dscp_prio" },
	{ 0x3f7999d, "ocelot_mrp_del_ring_role" },
	{ 0x1ec0da41, "module_layout" },
};

MODULE_INFO(depends, "mscc_ocelot_switch_lib,dsa_core");


MODULE_INFO(srcversion, "961DA740CBAE572DC787D49");
