#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x68c4662, "__mdiobus_write" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xea415b9d, "phy_restore_page" },
	{ 0x55fcc6b2, "phy_write_paged" },
	{ 0x3156b0be, "mdiobus_read" },
	{ 0x9da9ddad, "phy_modify" },
	{ 0x7fef159e, "genphy_soft_reset" },
	{ 0x58fe0a0, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe1244598, "ethnl_cable_test_pulse" },
	{ 0xcbf1c16, "ethnl_cable_test_step" },
	{ 0x1724968e, "__phy_modify" },
	{ 0x7847c621, "sfp_parse_support" },
	{ 0x5b777264, "sfp_select_interface" },
	{ 0x467dfcec, "_dev_info" },
	{ 0x359198e4, "_dev_err" },
	{ 0x38961b9f, "phy_save_page" },
	{ 0x97069bcf, "phy_trigger_machine" },
	{ 0xd4586869, "phy_error" },
	{ 0x5688401e, "devm_kmalloc" },
	{ 0x754d539c, "strlen" },
	{ 0x11089ac7, "_ctype" },
	{ 0x875002ce, "devm_hwmon_device_register_with_info" },
	{ 0x5733bee0, "phy_drivers_unregister" },
	{ 0x259006ad, "mdiobus_write" },
	{ 0xf294360a, "genphy_c45_ethtool_get_eee" },
	{ 0x5e8ee11e, "phy_config_aneg" },
	{ 0xd2ecd5a7, "phy_sfp_probe" },
	{ 0xb63a3f89, "genphy_read_lpa" },
	{ 0x33e02f88, "phy_resolve_aneg_pause" },
	{ 0x6ab203c1, "genphy_update_link" },
	{ 0x4d8ef1b5, "genphy_read_status_fixed" },
	{ 0xb41c0966, "genphy_suspend" },
	{ 0xd8baf8ae, "genphy_resume" },
	{ 0xdd64e639, "strscpy" },
	{ 0xced5c460, "phy_modify_changed" },
	{ 0x50e8f653, "__genphy_config_aneg" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x1c419a4c, "genphy_check_and_restart_aneg" },
	{ 0x240df00c, "genphy_setup_forced" },
	{ 0x66ccc8c2, "phy_modify_paged_changed" },
	{ 0xc8e66281, "genphy_read_abilities" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xd2297a19, "ethnl_cable_test_result" },
	{ 0xc17aebd1, "ethnl_cable_test_fault_length" },
	{ 0x96fcce58, "ethnl_cable_test_amplitude" },
	{ 0x9b16e4ee, "phy_gbit_fibre_features" },
	{ 0x394a1e11, "phy_sfp_attach" },
	{ 0xb6acaa13, "phy_sfp_detach" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x99729611, "phy_drivers_register" },
	{ 0x1cfcf462, "phy_read_paged" },
	{ 0x1c3963d9, "phy_modify_paged" },
	{ 0xe7906221, "__mdiobus_read" },
	{ 0x3fd613ba, "phy_select_page" },
	{ 0x1ec0da41, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("mdio:0000000101000001000011000110????");
MODULE_ALIAS("mdio:0000000101000001000011001001????");
MODULE_ALIAS("mdio:0000000101000001000011001100????");
MODULE_ALIAS("mdio:0000000111111111000011001100????");
MODULE_ALIAS("mdio:0000000101000001000011100001????");
MODULE_ALIAS("mdio:0000000101000001000011001011????");
MODULE_ALIAS("mdio:0000000101000001000011001101????");
MODULE_ALIAS("mdio:0000000101000001000011100101????");
MODULE_ALIAS("mdio:0000000101000001000011100011????");
MODULE_ALIAS("mdio:0000000101000001000011101001????");
MODULE_ALIAS("mdio:0000000101000001000011100100????");
MODULE_ALIAS("mdio:0000000101000001000011011101????");
MODULE_ALIAS("mdio:0000000101000001000011101011????");
MODULE_ALIAS("mdio:0000000101000001000011101010????");
MODULE_ALIAS("mdio:0000000101000001000011100110????");
MODULE_ALIAS("mdio:0000000101000001000011110100????");
MODULE_ALIAS("mdio:0000000101000001000011111001????");
MODULE_ALIAS("mdio:0000000000101011000010111001????");
MODULE_ALIAS("mdio:0000000101000001000011011100????");
MODULE_ALIAS("mdio:0000000101000001000011101100????");

MODULE_INFO(srcversion, "76C4623A56A7D0794467A7F");
