#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cdc_ncm_change_mtu, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_bind_common, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_unbind, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_select_altsetting, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_fill_tx_frame, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_tx_fixup, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_fixup, "_gpl", "");

SYMBOL_CRC(cdc_ncm_change_mtu, 0x14b97b80, "_gpl");
SYMBOL_CRC(cdc_ncm_bind_common, 0x7feb2a76, "_gpl");
SYMBOL_CRC(cdc_ncm_unbind, 0xfd46269c, "_gpl");
SYMBOL_CRC(cdc_ncm_select_altsetting, 0xf9720b49, "_gpl");
SYMBOL_CRC(cdc_ncm_fill_tx_frame, 0x5dbe64e7, "_gpl");
SYMBOL_CRC(cdc_ncm_tx_fixup, 0xc395db32, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth16, 0x3e1dc1eb, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth32, 0x9cafbbf3, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp16, 0xc335d77d, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp32, 0x803e1bd0, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_fixup, 0xb9c15189, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3f0e03e4, "usbnet_unlink_rx_urbs" },
	{ 0x74c8d5d4, "usbnet_write_cmd" },
	{ 0x333cdd5e, "pcpu_hot" },
	{ 0x9ca340f2, "netif_tx_lock" },
	{ 0x59ccf2af, "usbnet_start_xmit" },
	{ 0xee04299b, "netif_tx_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3c96fa2f, "hrtimer_active" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0xb9a36a77, "usbnet_read_cmd" },
	{ 0xb0ab3ab0, "__netdev_alloc_skb" },
	{ 0xa8625c94, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0x21c6e584, "usbnet_skb_return" },
	{ 0xfb578fc5, "memset" },
	{ 0x3f411edd, "kmalloc_caches" },
	{ 0xed07283b, "kmalloc_trace" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xd2e14630, "cdc_parse_cdc_header" },
	{ 0xd15c085b, "usb_ifnum_to_if" },
	{ 0x49342c38, "usb_driver_claim_interface" },
	{ 0x1f9506bb, "usb_set_interface" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xefc634ff, "usbnet_get_ethernet_addr" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x359198e4, "_dev_err" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xaa6dd720, "__alloc_skb" },
	{ 0xbc49f5f8, "usbnet_manage_power" },
	{ 0x943f34c8, "usbnet_cdc_update_filter" },
	{ 0x6f762130, "usbnet_open" },
	{ 0x1f458922, "usbnet_stop" },
	{ 0xfc68f56d, "usbnet_set_rx_mode" },
	{ 0xbb0c592, "eth_mac_addr" },
	{ 0x53304f25, "eth_validate_addr" },
	{ 0xce442992, "usbnet_tx_timeout" },
	{ 0x8e4e9fc6, "dev_get_tstats64" },
	{ 0x41680fe6, "usbnet_get_drvinfo" },
	{ 0xa577cd43, "usbnet_get_msglevel" },
	{ 0x5bf6ab0, "usbnet_set_msglevel" },
	{ 0x2198edd9, "usbnet_nway_reset" },
	{ 0x933cac99, "usbnet_get_link" },
	{ 0x85b11bb8, "ethtool_op_get_ts_info" },
	{ 0xed076e7e, "usbnet_get_link_ksettings_internal" },
	{ 0x6dfcd5e4, "usbnet_probe" },
	{ 0x6733a027, "usbnet_disconnect" },
	{ 0xd2006309, "usbnet_suspend" },
	{ 0xa8fa4794, "usbnet_resume" },
	{ 0xf1907c9d, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x95e9458b, "__dynamic_dev_dbg" },
	{ 0x58fe0a0, "_dev_warn" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xa51d1e21, "dev_kfree_skb_any_reason" },
	{ 0x37a0cba, "kfree" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x8c485b54, "usb_driver_release_interface" },
	{ 0x40101640, "usb_altnum_to_altsetting" },
	{ 0xc57c4453, "__dynamic_netdev_dbg" },
	{ 0xef5dd581, "usb_register_driver" },
	{ 0xc1225237, "usb_deregister" },
	{ 0x2a00809c, "usbnet_link_change" },
	{ 0x467dfcec, "_dev_info" },
	{ 0xd97c63ee, "usbnet_update_max_qlen" },
	{ 0x1ec0da41, "module_layout" },
};

MODULE_INFO(depends, "usbnet,usbcore,cdc_ether");

MODULE_ALIAS("usb:v0BDBp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1BC7p0036d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BBd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BCd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v0930p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1519p0443d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1546p1010d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v17E9p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc0Dip00in*");

MODULE_INFO(srcversion, "A65C089EA6CC70961D7B748");
