#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(virtio_transport_deliver_tap_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_inc_tx_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_get_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_put_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_do_socket_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_buffer_size, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_in, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_out, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_post_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_post_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_rcvhiwat, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_is_active, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_bind, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_connect, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_shutdown, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_destruct, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_release, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_recv_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_purge_skbs, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_read_skb, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_set_rcvlowat, "_gpl", "");

SYMBOL_CRC(virtio_transport_deliver_tap_pkt, 0x58c0ad08, "_gpl");
SYMBOL_CRC(virtio_transport_inc_tx_pkt, 0xfca72d76, "_gpl");
SYMBOL_CRC(virtio_transport_get_credit, 0x2f7e8e3a, "_gpl");
SYMBOL_CRC(virtio_transport_put_credit, 0x7474e9bb, "_gpl");
SYMBOL_CRC(virtio_transport_stream_dequeue, 0x22fe6149, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_dequeue, 0xc485765e, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_enqueue, 0x8cde23ea, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_dequeue, 0x2be1ceb9, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_data, 0x0c6b8f5d, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_has_data, 0xcd8d5a3a, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_space, 0x351c06b6, "_gpl");
SYMBOL_CRC(virtio_transport_do_socket_init, 0x8a6344b2, "_gpl");
SYMBOL_CRC(virtio_transport_notify_buffer_size, 0xa1f57e6b, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_in, 0xc841c729, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_out, 0x648191dc, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_init, 0xf438ff2f, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_block, 0x08b525a3, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_dequeue, 0xe41ea6e7, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_post_dequeue, 0x009966e8, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_init, 0x63b89498, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_block, 0xbaf90f45, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_enqueue, 0x4106e74d, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_post_enqueue, 0x1e9c78d4, "_gpl");
SYMBOL_CRC(virtio_transport_stream_rcvhiwat, 0x9221d9ae, "_gpl");
SYMBOL_CRC(virtio_transport_stream_is_active, 0xb076f4b7, "_gpl");
SYMBOL_CRC(virtio_transport_stream_allow, 0x03a81e69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_bind, 0xd4edde03, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_allow, 0xbabd30f5, "_gpl");
SYMBOL_CRC(virtio_transport_connect, 0x3822b258, "_gpl");
SYMBOL_CRC(virtio_transport_shutdown, 0xcbe6c34f, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_enqueue, 0x77bd8861, "_gpl");
SYMBOL_CRC(virtio_transport_stream_enqueue, 0xbcdefd94, "_gpl");
SYMBOL_CRC(virtio_transport_destruct, 0x207c7486, "_gpl");
SYMBOL_CRC(virtio_transport_release, 0x24fb4c17, "_gpl");
SYMBOL_CRC(virtio_transport_recv_pkt, 0xcc9a4420, "_gpl");
SYMBOL_CRC(virtio_transport_purge_skbs, 0xe28ea5b1, "_gpl");
SYMBOL_CRC(virtio_transport_read_skb, 0x8f1ff8b5, "_gpl");
SYMBOL_CRC(virtio_transport_notify_set_rcvlowat, 0x1fc83e39, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x429c8b23, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xaff59d16, "vsock_deliver_tap" },
	{ 0xd5737eb9, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x333cdd5e, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbe4faf9f, "sk_error_report" },
	{ 0xb33f1ebf, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xed11ef31, "vsock_find_bound_socket" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3d4b0fca, "vsock_addr_init" },
	{ 0xaa6dd720, "__alloc_skb" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x16cf20fb, "perf_trace_run_bpf_submit" },
	{ 0x518d4644, "sk_free" },
	{ 0xaea557bc, "kfree_skb_reason" },
	{ 0x60199d7b, "trace_event_reg" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x6cd76ac6, "__skb_recv_datagram" },
	{ 0xa0f889ab, "lock_sock_nested" },
	{ 0xca5b0ac0, "vsock_stream_has_data" },
	{ 0x1baba8b3, "skb_copy_datagram_iter" },
	{ 0x7aa1acff, "bpf_trace_run9" },
	{ 0x4345f6a6, "vsock_find_connected_socket" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xfd521ad1, "sock_efree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8a9f7c10, "bpf_trace_run10" },
	{ 0x2421ab0a, "vsock_core_get_transport" },
	{ 0x8e1bc8fd, "__zerocopy_sg_from_iter" },
	{ 0xc8e29094, "vsock_stream_has_space" },
	{ 0x38cf3f, "skb_set_owner_w" },
	{ 0x58616ab2, "trace_event_buffer_reserve" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x47035418, "_copy_from_iter" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x431544a0, "msg_zerocopy_realloc" },
	{ 0xed07283b, "kmalloc_trace" },
	{ 0x59d5c5c, "vsock_create_connected" },
	{ 0x8b37c4e2, "vsock_assign_transport" },
	{ 0x601de4ee, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x6f0f2a34, "iov_iter_npages" },
	{ 0x3f411edd, "kmalloc_caches" },
	{ 0x1b3ca8c2, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf4141b2d, "vsock_data_ready" },
	{ 0x15ddeab3, "vsock_enqueue_accept" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x24cc017e, "vsock_insert_connected" },
	{ 0xa8625c94, "skb_put" },
	{ 0xddbe9da9, "consume_skb" },
	{ 0xb6206d6d, "trace_raw_output_prep" },
	{ 0x54a8f50b, "__trace_trigger_soft_disabled" },
	{ 0x3f53c03a, "vsock_remove_sock" },
	{ 0x1ec0da41, "module_layout" },
};

MODULE_INFO(depends, "vsock");


MODULE_INFO(srcversion, "403DABB7F60250AC06AC582");
